From 143ddce4b0f725f86d8091ce1e07fcbac65a4a34 Mon Sep 17 00:00:00 2001
From: rtoy <rtoy>
Date: Mon, 12 Jul 2010 14:02:49 +0000
Subject: [PATCH] Only update translations on the last build.

lisp/GNUmakefile:
o Change "all" target to build just lisp.nm.  Don't also build the
  translations target.

tools/build.sh:
o Only make translations for the last build.
---
 lisp/GNUmakefile | 4 ++--
 tools/build.sh   | 6 ++++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/lisp/GNUmakefile b/lisp/GNUmakefile
index e7d2cfc00..08bc6eaeb 100644
--- a/lisp/GNUmakefile
+++ b/lisp/GNUmakefile
@@ -1,6 +1,6 @@
-# $Header: /Volumes/share2/src/cmucl/cvs2git/cvsroot/src/lisp/GNUmakefile,v 1.34 2010/03/19 15:19:03 rtoy Exp $
+# $Header: /Volumes/share2/src/cmucl/cvs2git/cvsroot/src/lisp/GNUmakefile,v 1.35 2010/07/12 14:02:49 rtoy Exp $
 
-all: lisp.nm translations
+all: lisp.nm
 
 -include internals.inc
 include Config
diff --git a/tools/build.sh b/tools/build.sh
index 897473215..eefe0373c 100755
--- a/tools/build.sh
+++ b/tools/build.sh
@@ -32,7 +32,7 @@
 #
 # For more information see src/BUILDING.
 #
-# $Header: /Volumes/share2/src/cmucl/cvs2git/cvsroot/src/tools/build.sh,v 1.29 2010/03/19 15:19:03 rtoy Exp $
+# $Header: /Volumes/share2/src/cmucl/cvs2git/cvsroot/src/tools/build.sh,v 1.30 2010/07/12 14:02:49 rtoy Exp $
 #
 
 ENABLE2="yes"
@@ -119,7 +119,7 @@ buildit ()
     then
 	$TOOLDIR/clean-target.sh $CLEAN_FLAGS $TARGET || { echo "Failed: $TOOLDIR/clean-target.sh"; exit 1; }
 	time $TOOLDIR/build-world.sh $TARGET $OLDLISP $BOOT || { echo "Failed: $TOOLDIR/build-world.sh"; exit 1; }
-	$MAKE -C $TARGET/lisp || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
+	$MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
 	if [ "$BUILD_WORLD2" = "yes" ];
 	then
 	    $TOOLDIR/build-world.sh $TARGET $OLDLISP $BOOT || { echo "Failed: $TOOLDIR/build-world.sh"; exit 1; }
@@ -165,6 +165,7 @@ echo "//starting build: $build_started"
 
 TARGET=$BASE-2
 ENABLE=$ENABLE2
+MAKE_TARGET=all
 export INTERACTIVE
 
 BUILD=1
@@ -183,6 +184,7 @@ BUILD_WORLD2=
 buildit
 
 TARGET=$BASE-4
+MAKE_TARGET="all translations"
 CLEAN_FLAGS="-K all"
 OLDLISP="${BASE}-3/lisp/lisp -noinit $FPU_MODE"
 ENABLE=$ENABLE4
-- 
GitLab